Package com.sun.jna.platform.win32

# Class WinNT.TOKEN_TYPE

java.lang.Object
com.sun.jna.platform.win32.WinNT.TOKEN_TYPE

Enclosing interface:
  WinNT

public abstract static class WinNT.TOKEN_TYPE extends Object
The TOKEN_TYPE enumeration type contains values that differentiate between a primary token and an impersonation token.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TokenImpersonation`
  `static final int`
  `TokenPrimary`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TOKEN_TYPE()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TokenPrimary

    public static final int TokenPrimary
    See Also:
      - Constant Field Values

  - ### TokenImpersonation

    public static final int TokenImpersonation
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TOKEN_TYPE

    public TOKEN_TYPE()